package org.project.item.consumables;

import org.project.entity.Entity;

public abstract class Consumable
{
    private String name;
    private int amount;

    public Consumable(String name, int amount)
    {
        this.name = name;
        this.amount = amount;
    }

    public String getName() {return name;}

    public int getAmount() {return amount;}

    public void setAmount(int amount) {this.amount = amount;}

    public abstract void use(Entity target);

    @Override
    public String toString()
    {
        return name + " (Effect amount: " + amount + ")";
    }
}